diff --git a/Make.bat b/Make.bat
index 884778981..b42238a36 100644
--- a/Make.bat
+++ b/Make.bat
@@ -276,6 +276,7 @@ REM Main build sequence Ends
     COPY "%QTDIR%\bin\Qt5Gui.dll"    "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     COPY "%QTDIR%\bin\Qt5Widgets.dll" "%PGBUILDPATH%\runtime" > nul  || EXIT /B 1
     COPY "%QTDIR%\bin\Qt5Network.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
+    COPY "%QTDIR%\bin\Qt5Svg.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     IF EXIST "%QTDIR%\bin\libgcc_s_dw2-1.dll" COPY "%QTDIR%\bin\libgcc_s_dw2-1.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     IF EXIST "%QTDIR%\bin\libstdc++-6.dll" COPY "%QTDIR%\bin\libstdc++-6.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     IF EXIST "%QTDIR%\bin\libwinpthread-1.dll" COPY "%QTDIR%\bin\libwinpthread-1.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index 7feb29431..8308a82d1 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -153,7 +153,7 @@ _build_runtime() {
     ${QMAKE} || { echo qmake failed; exit 1; }
     make || { echo make failed; exit 1; }
     cp -r pgAdmin4.app "${BUILDROOT}/${APP_BUNDLE_NAME}"
-    cp -r dark light dark.qss light.qss "${BUILDROOT}/"
+    cp -r dark light dark.qss light.qss "${BUILDROOT}/${APP_BUNDLE_NAME}/Contents/Resources/"
 }
 
 _build_doc() {
